Subject: Re: bug#18535: tramp alters `vc-handled-backends'

From: Stefan Monnier <[email-masked]>
Date: Tue, 23 Sep 2014 11:37:20 -0400

> `tramp-sh-handle-vc-registered' can permanently alter the value of
> `vc-handled-backends' causing Emacs to stop recognizing version
> controlled files as such.  This happened to me a couple of times after
> having pressed `C-g' while some `tramp' operation was apparently
> hanging.

The current code uses a `let' binding, which uses the same mechanism as
unwind-protect, so I don't think that's the source of a the problem.

The `delq' look dangerous on the other hand.  Shouldn't these be
`remq' instead?

        Stefan